<div class="sign-in-sign-up-container">
    <div class="in-close">
        <p>Sign In</p>
        <img src="./assets/img/close.svg" (click)="close()" />
    </div>
    <form [formGroup]="signInForm" (ngSubmit)="onSubmit(signInForm)">
        <app-input
            formControlName="username"
            [fieldName]="'Login'"
            [submited]="submited"
            [field]="signInForm.get('username')"
            [type]="'text'"
            [placeholder]="'Enter your username'"
            [errorMessage]="'Please enter the required field'"
        >
        </app-input>
        <app-input
            formControlName="password"
            [fieldName]="'Password'"
            [submited]="submited"
            [field]="signInForm.get('password')"
            [type]="'password'"
            [placeholder]="'Enter your password'"
            [errorMessage]="'Please enter the required field'"
        >
        </app-input>
        <button type="submit" class="btn-auth">
            Log in
        </button>
    </form>
</div>

